Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 03 Jun 2022 13:16:27 +0000

Hi Hilah Alolayan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi, This is to lodge a complain against the landmark courrier service.
I placed an online order No. 6145765311 with delivery option.
A day after an order I started getting sms messages that my parcel is shopped and out for delivery. 
I received a call from courrier guy asking for address location which I shared and same address was mentioned while placing the order.
The delivery guy says we cannot deliver to your location, you have to come an pickup from there. 
I mean the whole idea for online purchase was I wasn't able to visit store due to workload and delivery service of Center point saying they cannot deliver.
You should not have taken online order if you cannot deliver them. Do not waste people time. Do not do false promises.
I called Center point twice and they said they will follow up with delivery service, but no luck.
On top of everything, I received a call from this number +966115202662 today saying this is an automated call for failure delivery attempt. What a joke, what a joke.
Thank you
Muhammad Alam https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4444145